## php-netscape-bookmark-parser 2.1.0

=== Makefile ===
BIN = vendor/bin

test:
	@$(BIN)/phpunit tests

=== debian/changelog ===
php-netscape-bookmark-parser (2.1.0-2) unstable; urgency=medium

  * d/clean: Add test-autoload.php
  * Use same template for build test and autopkgtest

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 19 Nov 2019 06:42:52 -0500

php-netscape-bookmark-parser (2.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #864610)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 12 Oct 2019 09:35:36 -0400

=== debian/control ===
Source: php-netscape-bookmark-parser
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: James Valleroy <jvalleroy@mailbox.org>
Build-Depends: debhelper-compat (= 12), phpab, phpunit, php-klogger, pkg-php-tools
Standards-Version: 4.4.1
Homepage: https://github.com/shaarli/netscape-bookmark-parser
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-netscape-bookmark-parser
Vcs-Git: https://salsa.debian.org/php-team/pear/php-netscape-bookmark-parser.git
Rules-Requires-Root: no

Package: php-netscape-bookmark-parser
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Description: generic Netscape bookmark parser
 This library provides a generic NetscapeBookmarkParser class that is
 capable of parsing Netscape bookmarks as exported by common Web
 browsers and bookmarking services.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab	--output autoload.php \
		--template debian/autoload.php.tpl \
		NetscapeBookmarkParser.php
	# Workaround to ensure the local class takes precedence during tests.
	mkdir --parents Shaarli/NetscapeBookmarkParser
	ln -s ../../autoload.php Shaarli/NetscapeBookmarkParser/autoload.php
	ln -s ../../NetscapeBookmarkParser.php \
		Shaarli/NetscapeBookmarkParser/NetscapeBookmarkParser.php
	# Build classloader for tests
	mkdir --parents vendor
	phpab	--output vendor/autoload.php \
		--template debian/autoload.test.php.tpl \
		tests/LoggerTestsUtils.php

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	phpunit --do-not-cache-result --bootstrap vendor/autoload.php tests
endif

## php-netscape-bookmark-parser 3.2.0

=== Makefile ===
BIN = vendor/bin

test:
	@$(BIN)/phpunit tests
lint:
	@$(BIN)/phpcs
lint-fix:
	@$(BIN)/phpcbf

=== debian/changelog ===
php-netscape-bookmark-parser (3.2.0-1) unstable; urgency=medium

  * d/control: Set debhelper compat level to 13
  * d/control: Set standards version to 4.6.0
  * New upstream version 3.2.0
  * Drop patches merged upstream

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 11 Dec 2021 10:15:30 -0500

php-netscape-bookmark-parser (2.1.0-3) unstable; urgency=medium

  * Team upload
  * Update patches, applied upstream
  * Extend autoload.php for tests
  * Extend clean (vendor/ directory)

 -- David Prévot <taffit@debian.org>  Mon, 14 Dec 2020 02:19:07 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: James Valleroy <jvalleroy@mailbox.org>
-Build-Depends: debhelper-compat (= 12), phpab, phpunit, php-klogger, pkg-php-tools
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), phpab, phpunit, php-klogger, pkg-php-tools
+Standards-Version: 4.6.0
 Homepage: https://github.com/shaarli/netscape-bookmark-parser
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-netscape-bookmark-parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-netscape-bookmark-parser.git

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	mkdir --parents vendor
 	phpab	--output vendor/autoload.php \
 		--template debian/autoload.test.php.tpl \
-		tests/LoggerTestsUtils.php
+		tests/
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## php-netscape-bookmark-parser 4.0.0

=== Makefile ===
#/**
# * This file was generated with TangoMan Makefile Generator
# * https://github.com/TangoMan75/makefile-generator
# *
# * Shaarli Netscape Bookmark Parser
# *
# * This library provides a decoder that is able of parsing Netscape bookmarks (as exported by common Web browsers and bookmarking services), and an encoder that is able to export data to bookmarks format.
# *
# * @version  4.0.0
# * @license  MIT
# * @link     https://github.com/shaarli/netscape-bookmark-parser
# */

.PHONY: help install tests coverage lint lint-fix docker docker-install docker-tests uninstall

#--------------------------------------------------
# Colors
#--------------------------------------------------

PRIMARY   = \033[97m
SECONDARY = \033[36m
SUCCESS   = \033[32m
DANGER    = \033[31m
WARNING   = \033[33m
INFO      = \033[95m
LIGHT     = \033[47;90m
DARK      = \033[40;37m
DEFAULT   = \033[0m
NL        = \033[0m\n

#--------------------------------------------------
# Help
#--------------------------------------------------

## Print this help
help:
	@printf "${LIGHT} Shaarli Netscape Bookmark Parser ${NL}\n"

	@printf "${WARNING}Description${NL}"
	@printf "${PRIMARY}  This library provides a decoder that is able of parsing Netscape bookmarks (as exported by common Web browsers and bookmarking services), and an encoder that is able to export data to bookmarks format.${NL}\n"

	@printf "${WARNING}Usage${NL}"
	@printf "${PRIMARY}  make [command] `awk -F '?' '/^[ \t]+?[a-zA-Z0-9_-]+[ \t]+?\?=/{gsub(/[ \t]+/,"");printf"%s=[%s]\n",$$1,$$1}' ${MAKEFILE_LIST}|sort|uniq|tr '\n' ' '`${NL}\n"

	@printf "${WARNING}Commands${NL}"
	@awk '/^### /{printf"\n${PRIMARY}%s${NL}",substr($$0,5)} \
	/^[a-zA-Z0-9_-]+:/{HELP="";if( match(PREV,/^## /))HELP=substr(PREV, 4); \
		printf "${SUCCESS}  %-8s  ${PRIMARY}%s${NL}",substr($$1,0,index($$1,":")-1),HELP \
	}{PREV=$$0}' ${MAKEFILE_LIST}

## Install
install:
	@printf "${INFO}composer install --no-interaction --prefer-dist --optimize-autoloader${NL}"
	@composer install --no-interaction --prefer-dist --optimize-autoloader

## Run unit tests
tests:
	@printf "${INFO}./vendor/bin/phpunit tests/Unit --stop-on-failure${NL}"
	@./vendor/bin/phpunit tests/Unit --stop-on-failure

## Run linter
lint:
	@printf "${INFO}./vendor/bin/phpcs${NL}"
	@./vendor/bin/phpcs

## Lint source with phpcs linter
lint-fix:
	@printf "${INFO}./vendor/bin/phpcbf${NL}"
	@./vendor/bin/phpcbf

=== debian/changelog ===
php-netscape-bookmark-parser (4.0.0-4) unstable; urgency=medium

  * Team upload
  * Revert "Force system dependencies loading"
  * updated dependency (Closes: #1092773)

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2025 07:53:16 +0100

php-netscape-bookmark-parser (4.0.0-3) unstable; urgency=medium

  * Team upload
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Thu, 07 Mar 2024 19:22:19 +0100

php-netscape-bookmark-parser (4.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

  [ James Valleroy ]
  * New upstream version 4.0.0
  * Update source files location
  * Makefile: Drop install target
  * Replace php-klogger dependency with php-psr-log
  * Update upstream copyright info
  * Add Breaks for shaarli << 0.12.2
  * Update debian/ copyright years
  * Update standards version to 4.6.2, no changes needed
  * Set Multi-Arch: foreign
  * Skip parse Google bookmarks tests on 32-bit systems

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 04 Dec 2023 17:56:44 -0500

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: James Valleroy <jvalleroy@mailbox.org>
-Build-Depends: debhelper-compat (= 13), phpab, phpunit, php-klogger, pkg-php-tools
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), phpab, phpunit, php-psr-log, pkg-php-tools
+Standards-Version: 4.6.2
 Homepage: https://github.com/shaarli/netscape-bookmark-parser
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-netscape-bookmark-parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-netscape-bookmark-parser.git
 Rules-Requires-Root: no
 
 Package: php-netscape-bookmark-parser
+Breaks: shaarli (<< 0.12.2)
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Recommends: ${phpcomposer:Debian-recommend}
 Suggests: ${phpcomposer:Debian-suggest}

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpabtpl --basedir src \
		composer.json > debian/autoload.php.tpl
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src/
	# Workaround to ensure the local class takes precedence during tests.
	mkdir --parents Shaarli
	ln -s ../src Shaarli/NetscapeBookmarkParser
	# Build classloader for tests
	mkdir --parents vendor
	phpab	--output vendor/autoload.php \
		--template debian/autoload.test.php.tpl \
		tests/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	phpunit --do-not-cache-result --bootstrap vendor/autoload.php tests
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%php-netscape-bookmark-parser-$1.tar.gz%" \
   https://github.com/shaarli/netscape-bookmark-parser/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
